Updates to CalSTRS website security settings

Post

CalSTRS recently updated security settings for CalSTRS.com and myCalSTRS.

To continue to visit CalSTRS websites, update to the latest version of your browser.

The following is a list of popular browsers and minimum versions supported.

  • Chrome version 64 and above
  • Safari version 13 and above
  • Microsoft Edge version 12 and above
  • Internet Explorer version 11 and above
  • Firefox version 27 and above